import 'package:flutter/material.dart';
import 'package:snapping_sheet/snapping_sheet.dart';

class PlaceholderSnapSheetExample extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Placeholder example'),
      ),
      body: SnappingSheet(
          onSnapBegin: () {
            print('Begins');
            // if(this._controller.currentSnapPosition.positionPixel <= h * 0.12)
            //   Provider.of<UI>(context, listen: false).changeSnapPosition(this._controller.currentSnapPosition);
          },
          onSnapEnd: () {
            print('Ends');
          },
          snapPositions: [
            SnapPosition(
              positionPixel: -40,
            ),
            SnapPosition(
              positionFactor: 0.12,
            ),
            SnapPosition(
              positionFactor: 0.8,
            ),
          ],
          lockOverflowDrag: true,
          initSnapPosition: SnapPosition(positionPixel: 0),
          child: Placeholder(
            color: Colors.red,
          ),
          sheetBelow: SnappingSheetContent(
              child: Placeholder(
                color: Colors.blue,
              ),
              heightBehavior: SnappingSheetHeight.fit()),
          grabbing: Container(
            color: Colors.white.withOpacity(0.0),
            child: Placeholder(
              color: Colors.green,
            ),
          ),
          sheetAbove: SnappingSheetContent(
            child: Placeholder(
              color: Colors.purple,
            ),
            heightBehavior: SnappingSheetHeight.fit(),
          )),
    );
  }
}
